ECHO OFF
ECHO                      ChiWriter 3.20 Installation
ECHO                      Greek/Hebrew/Arabic Version 
ECHO 


IF "%2"=="" GOTO SYNTAX
FOR %%F IN (A:,B:,C:,D:,E:,F:,G:,H:,I:,J:,K:,L:,M:) DO IF %1.==%%F. GOTO OK1
FOR %%F IN (a:,b:,c:,d:,e:,f:,g:,h:,i:,j:,k:,l:,m:) DO IF %1.==%%F. GOTO OK1
FOR %%F IN (N:,O:,P:,Q:,R:,S:,T:,U:,V:,W:,X:,Y:,Z:) DO IF %1.==%%F. GOTO OK1
FOR %%F IN (n:,o:,p:,q:,r:,s:,t:,u:,v:,w:,x:,y:,z:) DO IF %1.==%%F. GOTO OK1
:SYNTAX               
ECHO                       Installation  Instructions
ECHO 
ECHO To install on a hard disk, type
ECHO      A: [Return]
ECHO      INSTALL  C:  \CHIWRITE [Return]
ECHO Replace A:, C: by another drive letter if necessary
ECHO You can replace \CHIWRITE with the name of a different directory.
ECHO 
ECHO (Note the blank space between drive and directory name.) 
ECHO 
ECHO See the READ.ME file for floppy disk installation.
GOTO END
:OK1

MD %1%2 >NUL:
MD %1%2\DOC >NUL:
CD %1%2
ECHO Uncompressing CW.EXE 
EXTRCW -O %1 >NUL
COPY HELP.TX? %1
COPY CONFIG.PA? %1%2
ECHO WD %1%2\DOC >> %1CONFIG.PAR
COPY FD*.* %1
COPY CONFIG*.ASC %1

ECHO ---------------------------------------------------------------
ECHO Please select one of the following keyboards:
ECHO        A - USA
ECHO        B - FRENCH CANADIAN
ECHO        C - DANISH
ECHO        D - FRENCH
ECHO        E - GERMAN
ECHO        F - ITALIAN
ECHO        G - NORWEGIAN
ECHO        H - SPANISH
ECHO        I - SWEDISH
ECHO        J - SWISS
ECHO        K - UK
ECHO  
ECHO Enter "A" if you are not sure.
ECHO --------------------------------------------------------------
GETKEY ABCDEFGHIJK
IF ERRORLEVEL 11 GOTO UK
IF ERRORLEVEL 10 GOTO SWISS
IF ERRORLEVEL 9 GOTO SWEDISH
IF ERRORLEVEL 8 GOTO SPANISH
IF ERRORLEVEL 7 GOTO NORWAY
IF ERRORLEVEL 6 GOTO ITALIAN
IF ERRORLEVEL 5 GOTO GERMAN
IF ERRORLEVEL 4 GOTO FRENCH
IF ERRORLEVEL 3 GOTO DANISH
IF ERRORLEVEL 2 GOTO CANADIAN
IF ERRORLEVEL 1 GOTO USA

:USA
COPY USA.KB? %1CONFIG.KBD
GOTO CONT

:CANADIAN
COPY CANADIAN.KB? %1CONFIG.KBD

:UK
COPY UK.KB? %1CONFIG.KBD
GOTO CONT

:SWISS
COPY SWISS.KB? %1CONFIG.KBD
GOTO CONT

:SWEDISH
COPY SWEDISH.KB? %1CONFIG.KBD
GOTO CONT

:SPANISH
COPY SPANISH.KB? %1CONFIG.KBD
GOTO CONT

:NORWAY
COPY NORWEGIA.KB? %1CONFIG.KBD
GOTO CONT

:ITALIAN
COPY ITALIAN.KB? %1CONFIG.KBD
GOTO CONT

:GERMAN
COPY GERMAN.KB? %1CONFIG.KBD
GOTO CONT

:FRENCH
COPY FRENCH.KB? %1CONFIG.KBD
GOTO CONT

:DANISH
COPY DANISH.KB? %1CONFIG.KBD
GOTO CONT

:CONT
REM INSTALLK for installing alternate keyboard (Greek/Hebrew/Arabic version)
IF EXIST INSTALLK.BAT INSTALLK %1 %2
COPY CONTINUE.BAT %1
%1CONTINUE 2 %1 %2

:END
