REM  USAGE: INSTALLS DRIVERNAME DISKDRIVE DIRECTORY
REM  Function:
REM  If High is selected, copies
REM  driverNameHI.DRV
REM  driverNameHI.SCR to CONFIG.SCR
REM  If Low is selected, copies 
REM  driverNameLO.DRV
REM  driverNameLO.SCR to CONFIG.SCR
REM  If Both is selected, copies
REM  driverName*.DRV
REM  driverName*.SCR
REM  driverNameHI.SCR to CONFIG.SCR
REM  and builds SWITCH.BAT
REM

ECHO Do you prefer to use 
ECHO      H - high resolution fonts (larger characters) ?
ECHO      L - low resolution fonts (more lines on the screen) ?
ECHO      B - both
ECHO Please enter "H", "L" or "B".
GETKEY HLB
IF ERRORLEVEL 3 GOTO BOTH
IF ERRORLEVEL 2 GOTO LOW
IF ERRORLEVEL 1 GOTO HIGH

:HIGH
ECHO Uncompressing *.EFT
EXTREFT -o %2 > NUL
COPY %1HI.SC? %2CONFIG.SCR
IF %1==MONVGA COPY VGAHI.DR? %2
IF NOT %1==MONVGA COPY %1HI.DR? %2
GOTO NOSWITCH

:LOW
ECHO Uncompressing *.SFT
EXTRSFT -o %2 >NUL
COPY %1LO.SC? %2CONFIG.SCR 
IF %1==MONVGA COPY VGALO.DR? %2
IF NOT %1==MONVGA COPY %1LO.DR? %2
GOTO NOSWITCH

:BOTH
ECHO Uncompressing *.SFT
EXTRSFT -o %2 > NUL
ECHO Uncompressing *.EFT
EXTREFT -o %2
COPY %1HI.SC? %2CONFIG.SCR
COPY %1*.SCR %2
IF %1==MONVGA COPY VGA??.DR? %2
IF NOT %1==MONVGA COPY %1??.DR? %2

:SWITCH
REM  Here we are building SWITCH.BAT
ECHO ECHO OFF >%2SWITCH.BAT
ECHO IF "%%1"=="" GOTO SYNTAX >>%2SWITCH.BAT
ECHO IF EXIST %1%%1%%2.SCR GOTO OK >>%2SWITCH.BAT
ECHO ECHO  >>%2SWITCH.BAT
ECHO ECHO *** ERROR *** %1%%1%%2.SCR not found. >>%2SWITCH.BAT
ECHO ECHO  >>%2SWITCH.BAT
ECHO :SYNTAX >>%2SWITCH.BAT
ECHO ECHO  >>%2SWITCH.BAT
ECHO ECHO  >>%2SWITCH.BAT
ECHO ECHO                Instructions for Mode Switching >>%2SWITCH.BAT
ECHO ECHO  >>%2SWITCH.BAT
ECHO ECHO To switch to low resolution mode, type >>%2SWITCH.BAT
ECHO ECHO      %2SWITCH LO [Return] >>%2SWITCH.BAT
ECHO ECHO To switch back to high resolution mode, type >>%2SWITCH.BAT
ECHO ECHO      %2SWITCH HI [Return] >>%2SWITCH.BAT
ECHO ECHO  >>%2SWITCH.BAT
ECHO GOTO END >>%2SWITCH.BAT
ECHO :OK >>%2SWITCH.BAT
ECHO COPY %1%%1%%2.SCR CONFIG.SCR >>%2SWITCH.BAT
ECHO :END >>%2SWITCH.BAT
ECHO 
ECHO For your later usage, here are the instructions for mode switching:
ECHO 
ECHO   To switch to low resolution mode, type
ECHO      SWITCH  LO [Return]
ECHO   To switch back to high resolution mode, type 
ECHO      SWITCH  HI [Return]
ECHO 
PAUSE
:NOSWITCH

:CONT
COPY CONTINUE.BAT %2
%2CONTINUE 3 %2 %3

:END


